
const extName = "co.jp.sd.open_explorer"

// open manual after installation
// インストール後、マニュアルを開く
chrome.runtime.onInstalled.addListener(function(details) {
    if( details.reason === "install" ){ // on install/インストールの場合
        // let message  = { todo: "get-path" };
        // chrome.runtime.sendNativeMessage(extName, message, response => {
        //     // console.info("response: "+JSON.stringify(response));
        // });
        chrome.tabs.create({
            url: chrome.runtime.getURL("install.html"),
        });
    }
    return;
});

chrome.runtime.onMessage.addListener((message, sender, sendResponse) => {
    // if msg is from Extension, send it to native messaging
    // 拡張からメッセージの場合、ネイティブメッセージングに送る
    if (message.todo === 'open-explorer') {
        console.info("msg to native: "+JSON.stringify(message));
        chrome.runtime.sendNativeMessage(extName, message, response => {
            // console.info("response: "+JSON.stringify(response));
        });
        sendResponse("");   // for manifest V3
    }
});
